/* Dynamic settings: */

/* Colors: */
.text-primary { color: #1F1F1F; }
.bg-primary { background-color: #1F1F1F; }
.text-secondary { color: #E6B66A; }
.bg-secondary { background-color: #E6B66A; }
.text-tertiary { color: #749096; }
.bg-tertiary { background-color: #749096; }
.text-primary-light { color: #D2E1E6; }
.bg-primary-light { background-color: #D2E1E6; }
.text-headings { color: #1D1D1D; }
.bg-headings { background-color: #1D1D1D; }
.text-body { color: #585A5D; }
.bg-body { background-color: #585A5D; }
.text-light-hover { color: #D3E1E6; }
.bg-light-hover { background-color: #D3E1E6; }
.text-dark-hover { color: #62716D; }
.bg-dark-hover { background-color: #62716D; }
.text-secondary-light { color: #F2F2F2; }
.bg-secondary-light { background-color: #F2F2F2; }
.text-gradient-one { color: #F1B877; }
.bg-gradient-one { background-color: #F1B877; }
.text-gradient-two { color: #FFD996; }
.bg-gradient-two { background-color: #FFD996; }
.text-gradient-three { color: #E3A867; }
.bg-gradient-three { background-color: #E3A867; }
.text-black { color: rgb(0,0,0); }
.bg-black { background-color: rgb(0,0,0); }
.text-white { color: rgb(255,255,255); }
.bg-white { background-color: rgb(255,255,255); }
.text-transparent { color: rgba(10,39,49,0); }
.bg-transparent { background-color: rgba(10,39,49,0); }

/* Gradients: */
.gradient-secondary-gradient {background-image: linear-gradient(180deg, var(--wp--preset--color--gradient-one) 0%, var(--wp--preset--color--gradient-two) 21%, var(--wp--preset--color--gradient-three) 100%); }

/* Links: */
[class*='is-style-primary-link'] a {color: var(--wp--preset--color--headings); text-transform: uppercase}
[class*='is-style-secondary-link'] a {color: var(--wp--preset--color--secondary); text-transform: uppercase}
[class*='is-style-white-link'] a {color: var(--wp--preset--color--white); text-transform: uppercase}

/* Link Hovers: */
[class*='is-style-primary-link'] a:hover, [class*='is-style-primary-link'] a.hovered {color: var(--wp--preset--color--dark-hover);}
[class*='is-style-secondary-link'] a:hover, [class*='is-style-secondary-link'] a.hovered {color: var(--wp--preset--color--light-hover);}
[class*='is-style-white-link'] a:hover, [class*='is-style-white-link'] a.hovered {color: var(--wp--preset--color--light-hover);}

/* Links with Icon: */
[class*='with-icon'] a:after{content:''; mask-image:url(https://crowndentalclub.com/wp-content/uploads/2025/01/arrow-right-light-full.svg);}
@media (min-width: 1025px) {[class*='with-icon'] a:after{height:21px; width:21px;}}
@media (min-width: 641px) and (max-width: 1024px) {[class*='with-icon'] a:after{height:21px; width:21px;}}
@media (max-width: 640px) {[class*='with-icon'] a:after{height:21px; width:21px;}}
.is-style-primary-link-with-icon a:after {background: var(--wp--preset--color--secondary); }
.is-style-secondary-link-with-icon a:after {background: var(--wp--preset--color--secondary); }
.is-style-white-link-with-icon a:after {background: var(--wp--preset--color--secondary); }
.is-style-primary-link-with-icon a:hover:after, .is-style-primary-link-with-icon a.hovered:after {background: var(--wp--preset--color--tertiary);}
.is-style-secondary-link-with-icon a:hover:after, .is-style-secondary-link-with-icon a.hovered:after {background: var(--wp--preset--color--light-hover);}
.is-style-white-link-with-icon a:hover:after, .is-style-white-link-with-icon a.hovered:after {background: var(--wp--preset--color--light-hover);}

/* Button Settings: */
@media (min-width: 1025px){.wp-block-button__link {font-size:18px;}}
@media (min-width: 641px) and (max-width: 1024px){.wp-block-button__link {font-size:16px;}}
@media (max-width: 640px){.wp-block-button__link {font-size:16px;}}
@media (min-width: 1025px){[id^='gform_submit_button_']:not(#boost) {font-size:18px;}}
@media (min-width: 641px) and (max-width: 1024px){[id^='gform_submit_button_']:not(#boost) {font-size:16px;}}
@media (max-width: 640px){[id^='gform_submit_button_']:not(#boost) {font-size:16px;}}
[id^='gform_submit_button_']:not(#boost) {font-weight:500;}
[id^='gform_submit_button_']:not(#boost) {text-transform:uppercase;}
[id^='gform_submit_button_']:not(#boost) {letter-spacing:0.9px;}
[id^='gform_submit_button_']:not(#boost) {border-radius:0px;}
[class*='is-style-primary-button'] .wp-block-button__link, [class*='is-style-primary-button'] [id^='gform_submit_button_']:not(#boost) {background: var(--wp--preset--color--headings); }
[class*='is-style-secondary-button'] .wp-block-button__link, [class*='is-style-secondary-button'] [id^='gform_submit_button_']:not(#boost) {background: var(--wp--preset--color--primary-light); }
[class*='is-style-hollow-button'] .wp-block-button__link, [class*='is-style-hollow-button'] [id^='gform_submit_button_']:not(#boost) {background: var(--wp--preset--color--transparent); }
[class*='is-style-play-button'] .wp-block-button__link, [class*='is-style-play-button'] [id^='gform_submit_button_']:not(#boost) {background: var(--wp--preset--color--white); }
[class*='is-style-back-to-top-button'] .wp-block-button__link, [class*='is-style-back-to-top-button'] [id^='gform_submit_button_']:not(#boost) {background: var(--wp--preset--color--transparent); }
[class*='is-style-primary-button'] .wp-block-button__link:hover, [class*='is-style-primary-button'] .wp-block-button__link.hovered, [class*='is-style-primary-button'] [id^='gform_submit_button_']:not(#boost):hover {background: var(--wp--preset--color--dark-hover); }
[class*='is-style-secondary-button'] .wp-block-button__link:hover, [class*='is-style-secondary-button'] .wp-block-button__link.hovered, [class*='is-style-secondary-button'] [id^='gform_submit_button_']:not(#boost):hover {background: var(--wp--preset--color--dark-hover); }
[class*='is-style-hollow-button'] .wp-block-button__link:hover, [class*='is-style-hollow-button'] .wp-block-button__link.hovered, [class*='is-style-hollow-button'] [id^='gform_submit_button_']:not(#boost):hover {background: var(--wp--preset--color--dark-hover); }
[class*='is-style-play-button'] .wp-block-button__link:hover, [class*='is-style-play-button'] .wp-block-button__link.hovered, [class*='is-style-play-button'] [id^='gform_submit_button_']:not(#boost):hover {background: var(--wp--preset--color--dark-hover); }
[class*='is-style-back-to-top-button'] .wp-block-button__link:hover, [class*='is-style-back-to-top-button'] .wp-block-button__link.hovered, [class*='is-style-back-to-top-button'] [id^='gform_submit_button_']:not(#boost):hover {background: var(--wp--preset--color--dark-hover); }
[class*='is-style-primary-button'] .wp-block-button__link,[class*='is-style-primary-button'] [id^='gform_submit_button_']:not(#boost) {color: var(--wp--preset--color--white); }
[class*='is-style-secondary-button'] .wp-block-button__link,[class*='is-style-secondary-button'] [id^='gform_submit_button_']:not(#boost) {color: var(--wp--preset--color--headings); }
[class*='is-style-hollow-button'] .wp-block-button__link,[class*='is-style-hollow-button'] [id^='gform_submit_button_']:not(#boost) {color: var(--wp--preset--color--headings); }
[class*='is-style-play-button'] .wp-block-button__link,[class*='is-style-play-button'] [id^='gform_submit_button_']:not(#boost) {color: var(--wp--preset--color--secondary); }
[class*='is-style-back-to-top-button'] .wp-block-button__link,[class*='is-style-back-to-top-button'] [id^='gform_submit_button_']:not(#boost) {color: var(--wp--preset--color--white); }
[class*='is-style-primary-button'] .wp-block-button__link:hover, [class*='is-style-primary-button'] .wp-block-button__link.hovered, [class*='is-style-primary-button'] [id^='gform_submit_button_']:not(#boost):hover {color: var(--wp--preset--color--white); }
[class*='is-style-secondary-button'] .wp-block-button__link:hover, [class*='is-style-secondary-button'] .wp-block-button__link.hovered, [class*='is-style-secondary-button'] [id^='gform_submit_button_']:not(#boost):hover {color: var(--wp--preset--color--white); }
[class*='is-style-hollow-button'] .wp-block-button__link:hover, [class*='is-style-hollow-button'] .wp-block-button__link.hovered, [class*='is-style-hollow-button'] [id^='gform_submit_button_']:not(#boost):hover {color: var(--wp--preset--color--white); }
[class*='is-style-play-button'] .wp-block-button__link:hover, [class*='is-style-play-button'] .wp-block-button__link.hovered, [class*='is-style-play-button'] [id^='gform_submit_button_']:not(#boost):hover {color: var(--wp--preset--color--secondary); }
[class*='is-style-back-to-top-button'] .wp-block-button__link:hover, [class*='is-style-back-to-top-button'] .wp-block-button__link.hovered, [class*='is-style-back-to-top-button'] [id^='gform_submit_button_']:not(#boost):hover {color: var(--wp--preset--color--white); }
[class*='is-style-hollow-button'] .wp-block-button__link, [class*='is-style-hollow-button'] [id^='gform_submit_button_']:not(#boost) {border: 1px solid var(--wp--preset--color--tertiary); }
[class*='is-style-back-to-top-button'] .wp-block-button__link, [class*='is-style-back-to-top-button'] [id^='gform_submit_button_']:not(#boost) {border: 1px solid var(--wp--preset--color--secondary); }
[class*='is-style-hollow-button'] .wp-block-button__link:hover, [class*='is-style-hollow-button'] [id^='gform_submit_button_']:not(#boost) {border: 1px solid var(--wp--preset--color--dark-hover); }
[class*='is-style-back-to-top-button'] .wp-block-button__link:hover, [class*='is-style-back-to-top-button'] [id^='gform_submit_button_']:not(#boost) {border: 1px solid var(--wp--preset--color--dark-hover); }

/* Button Icon Settings: */
[class*='with-icon'] .wp-block-button__link:after{content:''; mask-image:url(https://crowndentalclub.com/wp-content/uploads/2025/01/arrow-right-light-full.svg);}
@media (min-width: 1025px) {[class*='with-icon'] .wp-block-button__link:after{height:21px; width:21px;}}
@media (min-width: 641px) and (max-width: 1024px) {[class*='with-icon'] .wp-block-button__link:after{height:21px; width:21px;}}
@media (max-width: 640px) {[class*='with-icon'] .wp-block-button__link:after{height:21px; width:21px;}}
.is-style-primary-button-with-icon .wp-block-button__link:after {background: var(--wp--preset--color--secondary); }
.is-style-secondary-button-with-icon .wp-block-button__link:after {background: var(--wp--preset--color--white); }
.is-style-hollow-button-with-icon .wp-block-button__link:after {background: var(--wp--preset--color--secondary); }
.is-style-play-button-with-icon .wp-block-button__link:after {background: var(--wp--preset--color--secondary); }
.is-style-back-to-top-button-with-icon .wp-block-button__link:after {background: var(--wp--preset--color--white); }
.is-style-primary-button-with-icon .wp-block-button__link:hover:after, .is-style-primary-button-with-icon .wp-block-button__link.hovered:after {background: var(--wp--preset--color--white);}
.is-style-secondary-button-with-icon .wp-block-button__link:hover:after, .is-style-secondary-button-with-icon .wp-block-button__link.hovered:after {background: var(--wp--preset--color--white);}
.is-style-hollow-button-with-icon .wp-block-button__link:hover:after, .is-style-hollow-button-with-icon .wp-block-button__link.hovered:after {background: var(--wp--preset--color--white);}
.is-style-play-button-with-icon .wp-block-button__link:hover:after, .is-style-play-button-with-icon .wp-block-button__link.hovered:after {background: var(--wp--preset--color--secondary);}
.is-style-back-to-top-button-with-icon .wp-block-button__link:hover:after, .is-style-back-to-top-button-with-icon .wp-block-button__link.hovered:after {background: var(--wp--preset--color--white);}
strong {font-weight: 600;}